@import "import/settings";
@import "import/mixins";
@import "import/sidebar-plugin";
@import "import/switch-plugin";
@import "import/font-mixins";

$inverse: #292b2c;
html {
    height: 100%;
    box-sizing: border-box;
}
*,
*:before,
*:after {
     box-sizing: inherit;
}
body {
    background-image: url("../../public/images/default-bg.jpg");
    background-repeat: no-repeat;
    background-attachment: fixed;
    -o-background-size: cover;
    background-size: cover;
    height: 100%;
    position: relative;
    margin: 0;
    padding-bottom: 50px;
    overflow:hidden;
    .default-footer {
        width: 100%;
        position: absolute;
        right: 0;
        bottom: 0;
        left: 0;
        height: 50px;
        line-height: 50px;
        background-color: $inverse !important;
        z-index: 11;
        color: white;
    }
}

.line-through {
    text-decoration: line-through;
}

.loader-wrapper {
    position: fixed;
    background-color: rgba(0, 0, 0, 0.7);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 1000;
    transition: opacity 500ms ease-in-out;
    opacity: 0;
    &.fade {
        opacity: 1;
    }
    .preloader-wrapper {
        position: relative;
        height: 64px;
        width: 64px;
        top: 50%;
        left: 50%;
        margin-left: -32px;
        margin-top: -32px;
    }
}


.bg-inverse {
    background-color: $inverse !important;
}
.bg-white {
    background-color: #ffffff !important;
}
.border-white {
    border-color:#ffffff !important
}
.border-primary {
     border-color:#0275d8 !important
}
.border-success {
     border-color:#5cb85c !important
}
.border-info {
     border-color:#5bc0de !important
}
.border-warning {
     border-color:#f0ad4e !important
}
.border-danger {
     border-color:#d9534f !important
}
.default-header {
    height: 58px;
}

@media only screen and (max-width: 768px) {
    .navbar-brand {
        margin-right: 0;
        padding: 0;
    }
    .default-header {
        padding-top: 2px;
        padding-bottom: 2px;
    }
}
